'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.default = BabelTransform;

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

var _babelCore = require('babel-core');

var babel = _interopRequireWildcard(_babelCore);

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var typeMapping = {
	js: 'js'
};

function BabelTransform(settings) {

	function transform(content) {
		var jsSource, output, type, contents, mapping;
		return regeneratorRuntime.async(function transform$(_context) {
			while (1) {
				switch (_context.prev = _context.next) {
					case 0:
						_context.next = 2;
						return regeneratorRuntime.awrap(content.asString('utf8'));

					case 2:
						jsSource = _context.sent;
						output = babel.transform(jsSource, settings);
						type = 'js';
						contents = output.code;
						mapping = output.map;
						return _context.abrupt('return', { type: type, contents: contents, mapping: mapping });

					case 8:
					case 'end':
						return _context.stop();
				}
			}
		}, null, this);
	}

	return {
		typeMapping: typeMapping,
		transform: transform
	};
}